Bug 1018292 - [RFE] real-world use-cases should accompany the REST API reference
[RFE] real-world use-cases should accompany the REST API reference
Product: Pulp
Classification: Community
Component: documentation (Show other bugs)
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: pulp-bugs
: Documentation, FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-10-11 11:52 EDT by mkovacik
Modified: 2015-02-28 18:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-18 20:12:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 209 None None None Never

  None (edit)
Description mkovacik 2013-10-11 11:52:03 EDT
Description of problem:
Given the abstract nature of the REST API reference[1] it is hard to infer a concrete application.
For example, there are no steps to follow to create a yum repo nor to associate a consumer with a repo.
As a result, the easiest way to integrate Pulp via API is to follow the calls what the CLI tools make[2]. 

[1] https://pulp-dev-guide.readthedocs.org/en/pulp-2.2/integration/rest-api/index.html
[2] ~/.pulp/server_calls.log

Version-Release number of selected component (if applicable):

Expected Results:
real-life use-cases and examples should accompany the API reference involving particular plugins (either rpm, errata or puppet)
Comment 1 Dennis Kliban 2014-10-07 14:53:01 EDT
This is a good idea, however, the REST api will most likely be changing in the future.  After these changes take effect, we should write up some recipes.  Let's keep this open till that time.
Comment 2 Brian Bouterse 2015-02-18 20:12:01 EST
Moved to https://pulp.plan.io/issues/209

Note You need to log in before you can comment on or make changes to this bug.